# -*-coding:utf-8 -*- #
# ---------------------------------------------------------------------------
# ProjectName:   study_py
# FileName:      conftest.py
# Author:        gff
# Datetime:      2023/8/7 20:03
# Description:
# ---------------------------------------------------------------------------
import pytest
from APIAotu.day3.zx.common.db import DB
from APIAotu.day3.zx.requests_method.requests_method import RequestsMethod


@pytest.fixture(scope="session")
def req_fix():
    req = RequestsMethod()
    yield req


@pytest.fixture(scope="session")
def db_fix():
    db = DB()
    yield db
    db.close()


def pytest_collection_modifyitems(items):
    for item in items:
        item.name = item.name.encode("utf-8").decode("unicode-escape")
        item._nodeid = item._nodeid.encode("utf-8").decode("unicode-escape")